Botan 1.10.17

Namespaces | Enumerations | Functions
pubkey_enums.h File Reference
`#include <botan/ber_dec.h>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::BER

## Enumerations
enum | Botan::CRL_Code { Botan::UNSPECIFIED = 0, Botan::KEY_COMPROMISE = 1, Botan::CA_COMPROMISE = 2, Botan::AFFILIATION_CHANGED = 3, Botan::SUPERSEDED = 4, Botan::CESSATION_OF_OPERATION = 5, Botan::CERTIFICATE_HOLD = 6, Botan::REMOVE_FROM_CRL = 8, Botan::PRIVLEDGE_WITHDRAWN = 9, Botan::AA_COMPROMISE = 10, Botan::DELETE_CRL_ENTRY = 0xFF00, Botan::OCSP_GOOD = 0xFF01, Botan::OCSP_UNKNOWN = 0xFF02 }
enum | Botan::Key_Constraints { Botan::NO_CONSTRAINTS = 0, Botan::DIGITAL_SIGNATURE = 32768, Botan::NON_REPUDIATION = 16384, Botan::KEY_ENCIPHERMENT = 8192, Botan::DATA_ENCIPHERMENT = 4096, Botan::KEY_AGREEMENT = 2048, Botan::KEY_CERT_SIGN = 1024, Botan::CRL_SIGN = 512, Botan::ENCIPHER_ONLY = 256, Botan::DECIPHER_ONLY = 128 }
enum | Botan::X509_Encoding { Botan::RAW_BER, Botan::PEM }

## Functions
void | Botan::BER::decode (BER_Decoder &source, Key_Constraints &key_usage)